%define name perl-CGI-Minimal
%define realname CGI-Minimal
%define version 1.06
%define release 4mdk

Name:		%{name}
Summary:	Extremely lightweight CGI processing package
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
URL:		http://www.cpan.org
Source:		%{realname}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-buildroot
BuildPreReq:	perl


%description
CGI-Minimal is an extremely lightweight Perl module that provides CGI
processing abilities designed to provide form decoding and related services
with low overhead.


%prep -q
rm -rf $RPM_BUILD_ROOT

%setup -n %{realname}-%{version}

%build
mkdir -p %{buildroot}
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

%install
mkdir -p %{buildroot}/%{perl_archlib}
make PREFIX=%{buildroot}%{_prefix} install


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes MANIFEST README
%{_libdir}/perl5/site_perl/5.*/CGI/Minimal.pm
%{_libdir}/perl5/man/man3/CGI::Minimal.3*


%changelog
* Thu Aug 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.06-4mdk
- rebuild

* Tue Sep 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.06-3mdk
- BM
- macros

* Sat Jul 22 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.06-2mdk
- build for new perl
- macroization

* Tue May  9 2000 Vincent Danen <vdanen@linux-mandrake.com> 1.06-1mdk
- initial specfile
- bzip sources
